KDE 4.9 PyKDE API Reference

- KDE's Python API

# DataEngineManager Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

DataEngineManager plasma/dataenginemanager.h <Plasma/DataEngineManager>

DataEngine loader and life time manager

Plasma.DataEngineManager provides facilities for listing, loading and according to reference count unloading of DataEngines.

## Methods

| __init__ (self)
Plasma.DataEngine | engine (self, QString name)
Plasma.DataEngine | loadEngine (self, QString name)
| timerEvent (self, QTimerEvent event)
| unloadEngine (self, QString name)

## Static Methods

QStringList | listAllEngines (QString parentApp=QString())
[KPluginInfo] | listEngineInfo (QString parentApp=QString())
[KPluginInfo] | listEngineInfoByCategory (QString category, QString parentApp=QString())
Plasma.DataEngineManager | self ()

## Method Documentation

__init__ | ( |  | self ) |

Default constructor. The singleton method self() is the preferred access mechanism.

Plasma.DataEngine engine | ( | self, |
|  | QString | name
| ) |  |  |

Returns a data engine object if one is loaded and available. On failure, the fallback NullEngine (which does nothing and !isValid()) is returned.

Parameters:

  | name | the name of the engine

Plasma.DataEngine loadEngine | ( | self, |
|  | QString | name
| ) |  |  |

Loads a data engine and increases the reference count on it. This should be called once per object (or set of objects) using the DataEngine. Afterwards, dataEngine should be used or the return value cached. Call unloadDataEngine when finished with the engine.

Parameters:

  | name | the name of the engine

Returns:
  the data engine that was loaded, or the NullEngine on failure.

timerEvent | ( | self, |
|  | QTimerEvent | event
| ) |  |  |

Reimplemented from QObject

unloadEngine | ( | self, |
|  | QString | name
| ) |  |  |

Decreases the reference count on the engine. If the count reaches zero, then the engine is deleted to save resources.

## Static Method Documentation

QStringList listAllEngines | ( | QString | parentApp=QString()
| ) |  |  |

Returns:
  a listing of all known DataEngines by name

Parameters:

  | parentApp | the application to filter applets on. Uses the X-KDE-ParentApp entry (if any) in the plugin info. The default value of QString() will result in a list containing only applets not specifically registered to an application.

[KPluginInfo] listEngineInfo | ( | QString | parentApp=QString()
| ) |  |  |

Returns a list of all known DataEngines.

Parameters:

  | parentApp | the application to filter applets on. Uses the X-KDE-ParentApp entry (if any) in the plugin info. The default value of QString() will result in a list containing only applets not specifically registered to an application.

Returns:
  list of DataEngines

[KPluginInfo] listEngineInfoByCategory | ( | QString | category,
|  | QString | parentApp=QString()
| ) |  |  |

Returns a list of all known DataEngines filtering by category.

Parameters:

  | category | the category to filter applets on. Uses the X-KDE-PluginInfo-Category entry (if any) in the plugin info. The value of QString() will result in a list of engines with an empty category.
  | parentApp | the application to filter applets on. Uses the X-KDE-ParentApp entry (if any) in the plugin info. The default value of QString() will result in a list containing only applets not specifically registered to an application.

Returns:
  list of DataEngines

Since:
  4.3

Plasma.DataEngineManager self | ( |  | ) |

Singleton pattern accessor.